В популярном расширении Acrobat для Chrome обнаружена XSS-уязвимость

В популярном расширении Acrobat для Chrome обнаружена XSS-уязвимость

Исследователь Google Project Zero Тэвис Орманди (Tavis Ormandy) обнаружил, что расширение Adobe для Chrome, которое устанавливается в фоновом режиме, имело уязвимость межсайтового скриптинга (XSS). Adobe быстро исправили брешь после того, как узнали о ее существовании.

Обновления Acrobat Reader, выпущенные Adobe 10 января исправляют 29 уязвимостей. От некоторых пользователей поступали жалобы на то, что это обновление автоматически устанавливает расширение Adobe Acrobat для Chrome, которое преобразует веб-страницы в PDF-файлы.

Это расширение требует разрешение на доступ к данным на веб-сайтах, посещаемых пользователем, управление загрузками и взаимодействие с родными приложениями. Инструмент также собирает некоторую информацию на системе, но Adobe утверждает, что она не является конфиденциальной.

Расширение, проанализированное Орманди имеет около 30 миллионов загрузок. После того, как эксперт обнаружил уязвимость, позволяющую выполнение JavaScript-кода с повышенными привилегиями, он квалифицировал ее как «брешь критической степени опасности».

Более подробную информацию о том, как можно эксплуатировать эту уязвимость можно прочитать в официальном сообщении эксперта Орманди.

Adobe получили информацию о бреши 12 января, а несколько дней спустя исправили ее.

Подпишитесь
в Facebook

Я уже с вами